#ifndef _SDLTK_H_
#define _SDLTK_H_

#ifndef USE_TK_STUBS

#include "SdlTkX.h"

#ifdef PLATFORM_SDL

EXTERN char *		TkAlignImageData(XImage * image, 
				int alignment, int bitOrder);

EXTERN int		TkpCmapStressed(Tk_Window tkwin, 
				Colormap colormap);

EXTERN void		TkCreateXEventSource(void);

EXTERN void		TkFreeXId(TkDisplay * dispPtr);

EXTERN unsigned long	TkpGetMS(void);

EXTERN int		TkpScanWindowId(Tcl_Interp * interp, 
				const char * string, Window * idPtr);

EXTERN void		TkpSetCapture(TkWindow * winPtr);

EXTERN void		TkpSetCursor(TkpCursor cursor);

EXTERN void		TkpSync(Display * display);

EXTERN int		TkpWmSetState(TkWindow * winPtr, int state);

EXTERN void		TkFreeWindowId(TkDisplay * dispPtr, Window w);

EXTERN void		TkInitXId(TkDisplay * dispPtr);

EXTERN void		TkSendCleanup(TkDisplay * dispPtr);

EXTERN void		TkWmCleanup(TkDisplay * dispPtr);

EXTERN Window		TkSDLContainerId(TkWindow * winPtr);

EXTERN int		TkSDLDoOneXEvent(Tcl_Time * timePtr);

EXTERN void		TkSDLSetMenubar(Tk_Window tkwin, 
				Tk_Window menubar);

#endif

#endif

#endif
